﻿using System;

namespace SingletonLibrary
{
    class LibraryLazy
    {
        private LibraryLazy() { }

        private static LibraryLazy _instance = null;

        private static readonly Object LockObject = new object();

        public static LibraryLazy Instance
        {
            get
            {
                if (_instance == null)
                {
                    lock (LockObject)
                    {
                        if (_instance == null)
                            _instance = new LibraryLazy();
                    }
                }
                return _instance;
            }
        }

        public String Name { get; set; }
        public String Address { get; set; }
    }
}
